summaryrefslogtreecommitdiffstats
path: root/misc/bsdsfv/bsdsfv.SlackBuild
diff options
context:
space:
mode:
author Niklas Nille Åkerström <nille_kungen[AT]hotmail.com>2010-05-11 20:01:06 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:06 +0200
commit546ce9e04153a2ca48f5e3bb565062be4bee9484 (patch)
tree72f1763990b3f0130e80d50bccb029d1cbc9605d /misc/bsdsfv/bsdsfv.SlackBuild
parent6482c553ce5ed4777d0a36e30107bbb6a3d9b48f (diff)
downloadslackbuilds-546ce9e04153a2ca48f5e3bb565062be4bee9484.tar.gz
slackbuilds-546ce9e04153a2ca48f5e3bb565062be4bee9484.tar.xz
misc/bsdsfv: Added to 12.0 repository
Diffstat (limited to 'misc/bsdsfv/bsdsfv.SlackBuild')
-rw-r--r--misc/bsdsfv/bsdsfv.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/misc/bsdsfv/bsdsfv.SlackBuild b/misc/bsdsfv/bsdsfv.SlackBuild
new file mode 100644
index 0000000000..5af7d49367
--- /dev/null
+++ b/misc/bsdsfv/bsdsfv.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for bsdsfv
+#
+# Copyright 2007 Niklas "Nille" kerstrm
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bsdsfv
+VERSION=1.18
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG/usr/bin
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvzf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+make CFLAGS="$SLKCFLAGS -Wall" || exit 1
+make INSTALL_PREFIX=$PKG/usr install || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man1
+cp MANUAL $PKG/usr/man/man1/bsdsfv.1
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $PKG $TMP/$PRGNAM-$VERSION
+ fi